package com.sxtvs.open.api.review.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sxtvs.open.api.h5template.service.impl.OSSService;
import com.sxtvs.open.api.review.dto.PageReqDTO;
import com.sxtvs.open.api.review.entity.ReviewImgRecord;
import com.sxtvs.open.api.review.service.impl.ReviewImgRecordServiceImpl;
import com.sxtvs.open.core.auth.LoginRequired;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-02-05
 */
@RestController
@RequestMapping("/review/img")
public class ReviewImgRecordController {

    @Resource
    private ReviewImgRecordServiceImpl reviewImgRecordService;

    @Resource
    private OSSService ossService;

    @PostMapping("upload")
    @LoginRequired
    public Map<String, String> upload(MultipartFile file){
        return Map.of("url", ossService.vcrPut(file));
    }

    @PostMapping("store")
    @LoginRequired
    public ReviewImgRecord store(@RequestBody ReviewImgRecord reviewImgRecord){
        return reviewImgRecordService.store(reviewImgRecord);
    }

    @PostMapping("list")
    @LoginRequired
    public Page<ReviewImgRecord> list(@RequestBody PageReqDTO pageReqDTO){
        return reviewImgRecordService.list(pageReqDTO);
    }
}
